G.app.order.status={
		_data:{},
		_savedIds:{},
		get:function(a){return this._data[a]},
		set:function(b,a){this._data[b]=a},
		reset:function(a){if(a in this._data){delete this._data[a]}},
		saveIds:function(d){
			var a=this,c=[];
			$.each(["address","shippingtype","paytype","invoice","interestAmount"],function(g,e){
				var h=a._data[e];if(h==null){return}
				if(e=="address"){
					c.push(e+":"+h.aid)
				}else{
					if(e=="shippingtype"){
						c.push(e+":"+h.ShippingId);
						var f=[],j=[];
						if(h.subOrder&&!$.isEmptyObject(h.subOrder)){$.each(h.subOrder,function(k,i){f.push(k+"x"+i.sTime);j.push(k+"x"+i.sDate)})}
						if(f.length>0){c.push("shipTime:"+f.join("_"))}
						if(j.length>0){c.push("shipDate:"+j.join("_"))}
						if(h.sign_by_other){c.push("signByOther:"+h.sign_by_other)}
					}else{
						if(e=="paytype"){c.push(e+":"+h.pay_type)}else{if(e=="invoice"){c.push(e+":"+h.iid)}}
					}
				}
			});
		},
		fetchIds:function(b){
			var a=G.util.cookie.get("ordertmp");
				e={};
				$.isFunction(b)&&b(e||{})
		},
		getSavedId:function(a){return this._savedIds[a]||null},
		setSavedId:function(a,b){this._savedIds[a]=b},
		delSavedId:function(a){if(a in this._savedIds){delete this._savedIds[a]}}
}